Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaRenderWindow Class Reference

`#include <vtkMesaRenderWindow.h>`

Inheritance diagram for vtkMesaRenderWindow:

[legend]
Collaboration diagram for vtkMesaRenderWindow:

[legend]
List of all members.

## Detailed Description

Mesa rendering window.

Date:
  2002/08/29 14:51:35

Revision:
  1.31

vtkMesaRenderWindow is a concrete implementation of the abstract class vtkRenderWindow. It uses the mangle openGL namespace mgl, so Mesa render windows can be created in the same program as openGL render windows.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (65%)
  - Law, Charles (26%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMesaRenderWindow.h)`
  - .`cxx` (`/Rendering/vtkMesaRenderWindow.cxx)`

Examples:
  vtkMesaRenderWindow (Examples)

Definition at line 51 of file vtkMesaRenderWindow.h.

## Public Types
typedef vtkRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | StereoUpdate ()
void | MakeCurrent ()=0
void | RegisterTextureResource (GLuint id)
int | GetDepthBufferSize ()
virtual void | OpenGLInit ()
virtual void | SetMultiSamples (int)
virtual int | GetMultiSamples ()
virtual unsigned char * | GetPixelData (int x, int y, int x2, int y2, int front)
virtual int | GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *)
virtual int | SetPixelData (int x, int y, int x2, int y2, unsigned char *, int front)
virtual int | SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *, int front)
virtual float * | GetRGBAPixelData (int x, int y, int x2, int y2, int front)
virtual int | GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data)
virtual int | SetRGBAPixelData (int x, int y, int x2, int y2, float *, int front, int blend=0)
virtual int | SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray *, int front, int blend=0)
virtual void | ReleaseRGBAPixelData (float *data)
virtual unsigned char * | GetRGBACharPixelData (int x, int y, int x2, int y2, int front)
virtual int | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data)
virtual int | SetRGBACharPixelData (int x, int y, int x2, int y2, unsigned char *, int front, int blend=0)
virtual int | SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *, int front, int blend=0)
virtual float * | GetZbufferData (int x1, int y1, int x2, int y2)
virtual int | GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *z)
virtual int | SetZbufferData (int x1, int y1, int x2, int y2, float *buffer)
virtual int | SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMesaRenderWindow * | SafeDownCast (vtkObject *o)
void | SetGlobalMaximumNumberOfMultiSamples (int val)
int | GetGlobalMaximumNumberOfMultiSamples ()
## Protected Methods
| vtkMesaRenderWindow ()
| ~vtkMesaRenderWindow ()
int | GetPixelData (int x, int y, int x2, int y2, int front, unsigned char *data)
int | GetZbufferData (int x1, int y1, int x2, int y2, float *z)
int | GetRGBAPixelData (int x, int y, int x2, int y2, int front, float *data)
int | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, unsigned char *data)
## Protected Attributes
int | MultiSamples
long | OldMonitorSetting
vtkIdList * | TextureResourceIds

## Member Typedef Documentation

typedef vtkRenderWindow vtkMesaRenderWindow::Superclass

| Reimplemented from vtkRenderWindow. Reimplemented in vtkXMesaRenderWindow. Definition at line 58 of file vtkMesaRenderWindow.h.

## Constructor & Destructor Documentation

vtkMesaRenderWindow::vtkMesaRenderWindow | ( |  | ) | `[protected]`

vtkMesaRenderWindow::~vtkMesaRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkMesaRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderWindow. Reimplemented in vtkXMesaRenderWindow.

int vtkMesaRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindow. Reimplemented in vtkXMesaRenderWindow.

virtual int vtkMesaRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindow. Reimplemented in vtkXMesaRenderWindow.

vtkMesaRenderWindow* vtkMesaRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderWindow. Reimplemented in vtkXMesaRenderWindow.

void vtkMesaRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderWindow. Reimplemented in vtkXMesaRenderWindow.

void vtkMesaRenderWindow::SetGlobalMaximumNumberOfMultiSamples | ( | int | val | ) | `[static]`

| Set/Get the maximum number of multisamples

int vtkMesaRenderWindow::GetGlobalMaximumNumberOfMultiSamples | ( |  | ) | `[static]`

| Set/Get the maximum number of multisamples

virtual void vtkMesaRenderWindow::SetMultiSamples | ( | int |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing.

virtual int vtkMesaRenderWindow::GetMultiSamples | ( |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing.

virtual void vtkMesaRenderWindow::StereoUpdate | ( |  | ) | `[virtual]`

| Update system if needed due to stereo rendering. Reimplemented from vtkRenderWindow.

virtual unsigned char* vtkMesaRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkWindow.

virtual int vtkMesaRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | vtkUnsignedCharArray * |
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkWindow.

virtual int vtkMesaRenderWindow::SetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | unsigned char * | ,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | vtkUnsignedCharArray * | ,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkRenderWindow.

virtual float* vtkMesaRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | vtkFloatArray * | data
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | float * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | vtkFloatArray * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual void vtkMesaRenderWindow::ReleaseRGBAPixelData | ( | float * | data | ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual unsigned char* vtkMesaRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | vtkUnsignedCharArray * | data
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | unsigned char * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | vtkUnsignedCharArray * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual float* vtkMesaRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | vtkFloatArray * | z
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | float * | buffer
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

virtual int vtkMesaRenderWindow::SetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | vtkFloatArray * | buffer
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

void vtkMesaRenderWindow::MakeCurrent | ( |  | ) | `[pure virtual]`

| Make this window the current Mesa context. Implements vtkRenderWindow. Implemented in vtkXMesaRenderWindow.

void vtkMesaRenderWindow::RegisterTextureResource | ( | GLuint | id | ) |

| Register a texture name with this render window.

int vtkMesaRenderWindow::GetDepthBufferSize | ( |  | ) | `[virtual]`

| Get the size of the depth buffer. Implements vtkRenderWindow.

virtual void vtkMesaRenderWindow::OpenGLInit | ( |  | ) | `[virtual]`

| Initialize OpenGL for this window.

int vtkMesaRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | unsigned char * | data
| ) | `[protected]`

int vtkMesaRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | float * | z
| ) | `[protected]`

int vtkMesaRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | float * | data
| ) | `[protected]`

int vtkMesaRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | unsigned char * | data
| ) | `[protected]`

## Member Data Documentation

int vtkMesaRenderWindow::MultiSamples`[protected]`

| Definition at line 54 of file vtkMesaRenderWindow.h.

long vtkMesaRenderWindow::OldMonitorSetting`[protected]`

| Definition at line 55 of file vtkMesaRenderWindow.h.

vtkIdList* vtkMesaRenderWindow::TextureResourceIds`[protected]`

| Definition at line 135 of file vtkMesaRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaRenderWindow.h